Bug 177958 - up2date gives error if select-all is checked then any package is deselected
up2date gives error if select-all is checked then any package is deselected
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Beth Nackashi
:
Depends On:
Blocks: 168424 169775
  Show dependency treegraph
 
Reported: 2006-01-16 14:49 EST by Beth Nackashi
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2006-0105
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 10:38:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Beth Nackashi 2006-01-16 14:49:50 EST
+++ This bug was initially created as a clone of Bug #177784 +++

Description of problem:
Running up2date gui, on the "Available Package Updates" panel:  an error appears
if you select all packages, manually deselect any package(s), then try to move
forward.

Version-Release number of selected component (if applicable):
up2date-4.4.55-4

How reproducible:
always

Steps to Reproduce:
1.  Start up2date gui.
2.  Keep clicking "Forward" until the "Available Package Updates" panel appears.
3.  Click "Select all packages"
4.  Unselect one package.
5.  Click "Forward".

Actual results:
The following error message appears:

You must select at least one package.
If you do not wish to update any packages,
press the "Cancel" button to exit Update Agent.

Expected results:
up2date allows you to select all packages, then manually deselect any you do not
wish to install.

Additional info:
Comment 1 Adrian Likins 2006-01-16 17:01:08 EST
gah, the app flow that never ever works right...

investigating.
Comment 2 Adrian Likins 2006-01-17 16:17:31 EST
up2date-4.4.59
Comment 3 Beth Nackashi 2006-01-25 14:41:31 EST
verified fix on i386, ia64, and x86_64 using up2date-4.4.63-3
Comment 4 Red Hat Bugzilla 2006-03-15 10:38:56 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0105.html

Note You need to log in before you can comment on or make changes to this bug.